Skip to navigation

✨ Get entity state history

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

entity_idintegerRequired
entity_namestringRequired

Query parameters

created_at_fromstringOptional

Filter for state history items created at or after the ISO 8601 formatted date (YYYY-MM-DDTHH:MM:SS)

created_at_tostringOptional

Filter for state history items created at or before the ISO 8601 formatted date (YYYY-MM-DDTHH:MM:SS)

orderingstringOptional
Which field to use when ordering the results.
pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.
previous_statestringOptional

Filter previous_state by exact match (case-insensitive)

statestringOptional

Filter state by exact match (case-insensitive)

transition_namestringOptional

Filter transition_name by exact match (case-insensitive)

triggered_bydoubleOptional

Filter triggered_by by exact match

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"